#!/usr/bin/env python
#
# @author: Karl Lattimer <karl@qdh.org.uk>
# @package: wine-doors
# @license: GNU GPLv2
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
import gtk
import os, sys
import ui
from wine import wine

def usage( name ):
	print "Usage: " + name + " <command> <argument>"
	print "\ncommands:"
	print "	--usage			present this usage information"
	print "	--help			 present this usage information"
	print "	--install		  install an application (<argument> = application name)"
	print "	--uninstall		uninstall an application (<argument> = application name)"
	print "	--install-all	  install all applications (<argument> = repository url)"
	print "	--add-repository   add a repository (<argument> = repository url)\n"
	print "notes:"
	print "	supplied pack list does not require application definitions."
	print "	repositories alone can be specified."

if __name__ == "__main__":
	os.chdir( os.path.dirname( __file__ ) )
	if ( len( sys.argv ) > 1 ):
		if ( ( sys.argv[1] == '--help' ) or ( sys.argv[1] == '--usage' ) ):
			usage( sys.argv[0] )
		elif ( sys.argv[1] == '--install' ):
			print 'FIXME: install'
		elif ( sys.argv[1] == '--uninstall' ):
			print 'FIXME: uninstall'
		elif ( sys.argv[1] == '--install-all' ):
			print 'FIXME: install-all'
		elif ( sys.argv[1] == '--add-repository' ):
			print 'FIXME: add-repository'
		else:
			print sys.argv[0] + ": Error unknown argument"
			usage( sys.argv[0] )
	else:
		if not wine.CheckDrive():
			ui.window = ui.Window( "wn_firstrun" )
			gtk.main()
		#ui.window = ui.Window( "wn_packlist" )
		ui.winedoors = ui.WineDoorsGUI()
		gtk.main()
	
